#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	ExtUtils
%define		pnam	PkgConfig
Summary:	ExtUtils::PkgConfig - simplistic interface to pkg-config
Summary(pl.UTF-8):	ExtUtils::PkgConfig - prosty interfejs do pkg-config
Name:		perl-ExtUtils-PkgConfig
Version:	1.14
Release:	1
License:	LGPL v2+
Group:		Development/Languages/Perl
Source0:	http://downloads.sourceforge.net/gtk2-perl/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	80003c7a6a214e7712fbd9f9d9abe93a
URL:		http://gtk2-perl.sourceforge.net/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	pkgconfig
BuildRequires:	rpm-perlprov >= 4.1-13
Requires:	pkgconfig
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
ExtUtils::PkgConfig is a very simplistic interface to pkg-config
utility.

%description -l pl.UTF-8
ExtUtils::PkgConfig jest bardzo prostym interfejsem do narzędzia
pkg-config.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/ExtUtils/PkgConfig.pm
%{_mandir}/man3/ExtUtils::PkgConfig.3pm*
%changelog
* Sat Jun 22 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-ExtUtils-PkgConfig.git;a=log;h=master

* Sat Jun 22 2013 Jakub Bogusz <qboosh@pld-linux.org> ff51d38
- updated to 1.14

* Mon Jun 04 2012 Jakub Bogusz <qboosh@pld-linux.org> 717bf93
- updated to 1.13

* Mon Sep 14 2009 amateja <amateja@pld-linux.org> 1d42faa
- updated to 1.12

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 8cbef72
- release 2

* Sun Jul 20 2008 Jakub Bogusz <qboosh@pld-linux.org> 8901051
- updated to 1.11

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 8747e09
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 77e31c3
- converted to UTF-8

* Wed Jul 26 2006 Elan Ruusamäe <glen@pld-linux.org> e2d7cd0
- unify sourceforge url

* Thu Mar 24 2005 freetz <freetz@pld-linux.org> 265845c
- 1.07

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 8ed20ff
- formatting

* Mon Oct 11 2004 freetz <freetz@pld-linux.org> 9cf2e32
- 1.06

* Sun Jul 25 2004 freetz <freetz@pld-linux.org> ca5edb5
- 1.05

* Sat Jun 05 2004 radek <radek@pld-linux.org> 80cd314
- massive: unfold macros in name/summary & other unifications

* Thu May 06 2004 ankry <ankry@pld-linux.org> 2fb2610
- fixed perl-devel BR

* Tue Apr 20 2004 ankry <ankry@pld-linux.org> 0404f45
- license fixes and unification

* Thu Feb 12 2004 freetz <freetz@pld-linux.org> 0b1de5a
- up to 1.03

* Fri Nov 28 2003 freetz <freetz@pld-linux.org> f9a6794
- up to 1.02

* Sat Oct 25 2003 freetz <freetz@pld-linux.org> ec0c400
- removed redundant Rs

* Fri Oct 24 2003 freetz <freetz@pld-linux.org> 73e40fd
- more BR

* Fri Oct 17 2003 Jakub Bogusz <qboosh@pld-linux.org> 0fb0a2a
- R: pkgconfig, new-style bcond

